%define  upstream_name    Net-Syslog
%define  upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:	Perl extension for sending syslog messages directly to a remote syslogd
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
Net::Syslog implements the intra-host syslog forwarding protocol.
It is not intended to replace the Sys::Syslog or
Unix::Syslog modules, but instead to provide a method of using syslog when a
local syslogd is unavailable or when you don't want to write syslog messages
to the local syslog.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/Net/Syslog.pm
%{_mandir}/man*/*




%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.40.0-10.mga9
+ Revision: 1804999
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.40.0-9.mga8
+ Revision: 1496061
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.40.0-8.mga7
+ Revision: 1270157
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1031331
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 935928
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 743021
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 685735
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 513613
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 370912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 13628
- imported package perl-Net-Syslog


* Mon Oct 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.40.0-1mdv2011.0
+ Revision: 589353
- new version

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 404247
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.03-7mdv2009.0
+ Revision: 258134
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.03-6mdv2009.0
+ Revision: 246183
- rebuild

* Tue Feb 12 2008 Thierry Vignaud <tv@mandriva.org> 0.03-4mdv2008.1
+ Revision: 166681
- fix description-line-too-long
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.03-4mdv2008.0
+ Revision: 25451
- rebuild

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 0.03-3mdv2008.0
+ Revision: 25197
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
	- URL

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.03-1mdk
- initial Mandriva package

